<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:tns="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS" targetNamespace="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <schema elementFormDefault="qualified" targetNamespace="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS" xmlns="http://www.w3.org/2001/XMLSchema">
      <element name="UpdatePurchaseLine">
        <complexType>
          <sequence>
            <element minOccurs="1" maxOccurs="1" name="pONumber" type="string" />
            <element minOccurs="1" maxOccurs="1" name="productCode" type="string" />
            <element minOccurs="1" maxOccurs="1" name="unit_of_Measure_Code" type="string" />
            <element minOccurs="1" maxOccurs="1" name="quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="consigned_Quantity" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_Received" type="decimal" />
            <element minOccurs="1" maxOccurs="1" name="qty_to_Invoice" type="decimal" />
          </sequence>
        </complexType>
      </element>
      <element name="UpdatePurchaseLine_Result">
        <complexType>
          <sequence />
        </complexType>
      </element>
    </schema>
  </types>
  <message name="UpdatePurchaseLine">
    <part name="parameters" element="tns:UpdatePurchaseLine" />
  </message>
  <message name="UpdatePurchaseLine_Result">
    <part name="parameters" element="tns:UpdatePurchaseLine_Result" />
  </message>
  <portType name="PurchaseOrderWS_Port">
    <operation name="UpdatePurchaseLine">
      <input name="UpdatePurchaseLine" message="tns:UpdatePurchaseLine" />
      <output name="UpdatePurchaseLine_Result" message="tns:UpdatePurchaseLine_Result" />
    </operation>
  </portType>
  <binding name="PurchaseOrderWS_Binding" type="tns:PurchaseOrderWS_Port">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <operation name="UpdatePurchaseLine">
      <operation soapAction="urn:microsoft-dynamics-schemas/codeunit/PurchaseOrderWS:UpdatePurchaseLine" style="document" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <input name="UpdatePurchaseLine">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </input>
      <output name="UpdatePurchaseLine_Result">
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </output>
    </operation>
  </binding>
  <service name="PurchaseOrderWS">
    <port name="PurchaseOrderWS_Port" binding="tns:PurchaseOrderWS_Binding">
      <address location="http://lfnav:7047/DynamicsNAV/WS/Linden%20Foods%20Retail/Codeunit/PurchaseOrderWS" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </port>
  </service>
</definitions>